# Get nominal card embossing info Get nominal card embossing information.
For more information on embossing, refer to the [Physical card embossing](doc:physical-card-embossing) guide. **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Embossing data", "description": "Embossing data endpoints" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "schemas": { "AccountID": { "type": "integer", "description": "Pismo account ID", "example": 7654776 }, "CardID2": { "type": "integer", "description": "Pismo card ID", "example": 123456 }, "CustomerID": { "type": "integer", "description": "Pismo customer ID", "example": 765476676 }, "EmbossingGroup": { "type": "string", "description": "Embossing group name. Clients can work with multi-embossers. You can use this field to notify an embosser about a card request. If this parameter is not passed, and you work with multi-embossers, the default embosser is used. For more information, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n", "minLength": 2, "maxLength": 32, "example": "EM1-embosser" }, "GetNominalCardEmbossingInfoResponse": { "type": "object", "description": "Get nominal card embossing info response object", "properties": { "org_id": { "$ref": "#/components/schemas/OrgID" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "customer_id": { "$ref": "#/components/schemas/CustomerID" }, "account_id": { "$ref": "#/components/schemas/AccountID" }, "card_id": { "$ref": "#/components/schemas/CardID2" }, "filename": { "type": "string", "description": "File name", "example": "embossing_filename.pgp" }, "created_datetime": { "type": "string", "description": "File created date/time. RFC 3339 value.", "example": "2022-05-31T17:45:23Z" }, "updated_datetime": { "type": "string", "description": "File updated date/time. RFC 3339 value.", "example": "2022-06-03T08:32:46Z" }, "embossing_group": { "$ref": "#/components/schemas/EmbossingGroup" }, "address_id": { "type": "integer", "description": "Address object ID", "example": 12345678 } } }, "OrgID": { "type": "string", "description": "Organization/tenant ID", "example": "TN-f878e4a1-2879-48ba-be16-821e73ac98db" }, "ProgramID": { "type": "integer", "description": "Pismo program ID", "example": 7654 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } } }, "paths": { "/embossing/v1/cards/{cardId}": { "get": { "operationId": "get-embossing-info", "summary": "Get nominal card embossing info", "description": "Get nominal card embossing information.
\n\nFor more information on embossing, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "Embossing data" ], "parameters": [ { "$ref": "#/components/parameters/cardId" } ], "responses": { "200": { "description": "Nominal card embossing information response object", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetNominalCardEmbossingInfoResponse" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "integer" }, "error": { "type": "string" } } }, "examples": { "example-bad-request": { "value": { "message": "Invalid card ID", "error": "bad_request", "status": 400, "error_code": "" } } } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "integer" }, "error": { "type": "string" } } }, "examples": { "example-not-found": { "value": { "message": "Card not found", "error": "not_found", "status": 404, "error_code": "" } } } } } } } } } } } ```